## GtkCheckItem

GtkCheckItem — Check item widget for Gtk

## Synopsis

    #include <gtkextra.h>

                        GtkCheckItem;
    GtkWidget*          gtk_check_item_new                  (void);
    GtkWidget*          gtk_check_item_new_with_label       (const gchar *label);
    void                gtk_check_item_construct_with_label (GtkCheckItem *check_item,
                                                             const gchar *label);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkButton
                                           +----GtkToggleButton
                                                 +----GtkCheckItem

## Implemented Interfaces

GtkCheckItem implements AtkImplementorIface, GtkBuildable and GtkActivatable.

## Description

It is a GtkCheckButton hack with the look and feel of the Redmond95 theme.

## Details

### GtkCheckItem

    typedef struct _GtkCheckItem GtkCheckItem;

The GtkCheckItem struct contains only private data. It should only be accessed through the functions described below.

### gtk_check_item_new ()

    GtkWidget*          gtk_check_item_new                  (void);

Returns : |

### gtk_check_item_new_with_label ()

    GtkWidget*          gtk_check_item_new_with_label       (const gchar *label);

Create a GtkCheckItem widget with a specified label.

`label` : | text near the check item
Returns : | the newly-created GtkCheckItem.

### gtk_check_item_construct_with_label ()

    void                gtk_check_item_construct_with_label (GtkCheckItem *check_item,
                                                             const gchar *label);

Initialize a GtkCheckItem widget with a specified label.

`check_item` : | a GtkCheckItem widget
`label` : | text near the check item